com.impinj.stp

## Class StpApi.SerializationJobFilters.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.SerializationJobFilters.Builder>
      - - com.impinj.stp.StpApi.SerializationJobFilters.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.SerializationJobFiltersOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.SerializationJobFilters

      public static final class StpApi.SerializationJobFilters.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.SerializationJobFilters.Builder>
      implements StpApi.SerializationJobFiltersOrBuilder

  Protobuf type `Impinj.STP.SerializationJobFilters`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.SerializationJobFilters.Builder` | `addAllEpcFilters(java.lang.Iterable<? extends StpApi.Filter> values)`
    `StpApi.SerializationJobFilters.Builder` | `addAllTidFilters(java.lang.Iterable<? extends StpApi.Filter> values)`
    `StpApi.SerializationJobFilters.Builder` | `addEpcFilters(int index, StpApi.Filter.Builder builderForValue)`
    `StpApi.SerializationJobFilters.Builder` | `addEpcFilters(int index, StpApi.Filter value)`
    `StpApi.SerializationJobFilters.Builder` | `addEpcFilters(StpApi.Filter.Builder builderForValue)`
    `StpApi.SerializationJobFilters.Builder` | `addEpcFilters(StpApi.Filter value)`
    `StpApi.Filter.Builder` | `addEpcFiltersBuilder()`
    `StpApi.Filter.Builder` | `addEpcFiltersBuilder(int index)`
    `StpApi.SerializationJobFilters.Builder` | `addTidFilters(int index, StpApi.Filter.Builder builderForValue)`
    `StpApi.SerializationJobFilters.Builder` | `addTidFilters(int index, StpApi.Filter value)`
    `StpApi.SerializationJobFilters.Builder` | `addTidFilters(StpApi.Filter.Builder builderForValue)`
    `StpApi.SerializationJobFilters.Builder` | `addTidFilters(StpApi.Filter value)`
    `StpApi.Filter.Builder` | `addTidFiltersBuilder()`
    `StpApi.Filter.Builder` | `addTidFiltersBuilder(int index)`
    `StpApi.SerializationJobFilters` | `build()`
    `StpApi.SerializationJobFilters` | `buildPartial()`
    `StpApi.SerializationJobFilters.Builder` | `clear()`
    `StpApi.SerializationJobFilters.Builder` | `clearEpcFilters()`
    `StpApi.SerializationJobFilters.Builder` | `clearTidFilters()`
    `StpApi.SerializationJobFilters.Builder` | `clone()`
    `StpApi.SerializationJobFilters` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `StpApi.Filter` | `getEpcFilters(int index)`
    `StpApi.Filter.Builder` | `getEpcFiltersBuilder(int index)`
    `java.util.List<StpApi.Filter.Builder>` | `getEpcFiltersBuilderList()`
    `int` | `getEpcFiltersCount()`
    `java.util.List<StpApi.Filter>` | `getEpcFiltersList()`
    `StpApi.FilterOrBuilder` | `getEpcFiltersOrBuilder(int index)`
    `java.util.List<? extends StpApi.FilterOrBuilder>` | `getEpcFiltersOrBuilderList()`
    `StpApi.Filter` | `getTidFilters(int index)`
    `StpApi.Filter.Builder` | `getTidFiltersBuilder(int index)`
    `java.util.List<StpApi.Filter.Builder>` | `getTidFiltersBuilderList()`
    `int` | `getTidFiltersCount()`
    `java.util.List<StpApi.Filter>` | `getTidFiltersList()`
    `StpApi.FilterOrBuilder` | `getTidFiltersOrBuilder(int index)`
    `java.util.List<? extends StpApi.FilterOrBuilder>` | `getTidFiltersOrBuilderList()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.SerializationJobFilters.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.SerializationJobFilters.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.SerializationJobFilters.Builder` | `mergeFrom(StpApi.SerializationJobFilters other)`
    `StpApi.SerializationJobFilters.Builder` | `removeEpcFilters(int index)`
    `StpApi.SerializationJobFilters.Builder` | `removeTidFilters(int index)`
    `StpApi.SerializationJobFilters.Builder` | `setEpcFilters(int index, StpApi.Filter.Builder builderForValue)`
    `StpApi.SerializationJobFilters.Builder` | `setEpcFilters(int index, StpApi.Filter value)`
    `StpApi.SerializationJobFilters.Builder` | `setTidFilters(int index, StpApi.Filter.Builder builderForValue)`
    `StpApi.SerializationJobFilters.Builder` | `setTidFilters(int index, StpApi.Filter value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.SerializationJobFilters.Builder>`

    - #### clear

          public StpApi.SerializationJobFilters.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.SerializationJobFilters.Builder>`

    - #### clone

          public StpApi.SerializationJobFilters.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.SerializationJobFilters.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.SerializationJobFilters.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.SerializationJobFilters getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.SerializationJobFilters build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.SerializationJobFilters buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.SerializationJobFilters.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.SerializationJobFilters.Builder>`

    - #### mergeFrom

          public StpApi.SerializationJobFilters.Builder mergeFrom(StpApi.SerializationJobFilters other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.SerializationJobFilters.Builder>`

    - #### mergeFrom

          public StpApi.SerializationJobFilters.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                           throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.SerializationJobFilters.Builder>`
      Throws:
        `java.io.IOException`

    - #### getTidFiltersList

          public java.util.List<StpApi.Filter> getTidFiltersList()

      Specified by:
        `getTidFiltersList` in interface `StpApi.SerializationJobFiltersOrBuilder`

    - #### getTidFiltersCount

          public int getTidFiltersCount()

      Specified by:
        `getTidFiltersCount` in interface `StpApi.SerializationJobFiltersOrBuilder`

    - #### getTidFilters

          public StpApi.Filter getTidFilters(int index)

      Specified by:
        `getTidFilters` in interface `StpApi.SerializationJobFiltersOrBuilder`

    - #### setTidFilters

          public StpApi.SerializationJobFilters.Builder setTidFilters(int index,
                                                                      StpApi.Filter value)

    - #### setTidFilters

          public StpApi.SerializationJobFilters.Builder setTidFilters(int index,
                                                                      StpApi.Filter.Builder builderForValue)

    - #### addTidFilters

          public StpApi.SerializationJobFilters.Builder addTidFilters(StpApi.Filter value)

    - #### addTidFilters

          public StpApi.SerializationJobFilters.Builder addTidFilters(int index,
                                                                      StpApi.Filter value)

    - #### addTidFilters

          public StpApi.SerializationJobFilters.Builder addTidFilters(StpApi.Filter.Builder builderForValue)

    - #### addTidFilters

          public StpApi.SerializationJobFilters.Builder addTidFilters(int index,
                                                                      StpApi.Filter.Builder builderForValue)

    - #### addAllTidFilters

          public StpApi.SerializationJobFilters.Builder addAllTidFilters(java.lang.Iterable<? extends StpApi.Filter> values)

    - #### clearTidFilters

          public StpApi.SerializationJobFilters.Builder clearTidFilters()

    - #### removeTidFilters

          public StpApi.SerializationJobFilters.Builder removeTidFilters(int index)

    - #### getTidFiltersBuilder

          public StpApi.Filter.Builder getTidFiltersBuilder(int index)

    - #### getTidFiltersOrBuilder

          public StpApi.FilterOrBuilder getTidFiltersOrBuilder(int index)

      Specified by:
        `getTidFiltersOrBuilder` in interface `StpApi.SerializationJobFiltersOrBuilder`

    - #### getTidFiltersOrBuilderList

          public java.util.List<? extends StpApi.FilterOrBuilder> getTidFiltersOrBuilderList()

      Specified by:
        `getTidFiltersOrBuilderList` in interface `StpApi.SerializationJobFiltersOrBuilder`

    - #### addTidFiltersBuilder

          public StpApi.Filter.Builder addTidFiltersBuilder()

    - #### addTidFiltersBuilder

          public StpApi.Filter.Builder addTidFiltersBuilder(int index)

    - #### getTidFiltersBuilderList

          public java.util.List<StpApi.Filter.Builder> getTidFiltersBuilderList()

    - #### getEpcFiltersList

          public java.util.List<StpApi.Filter> getEpcFiltersList()

      Specified by:
        `getEpcFiltersList` in interface `StpApi.SerializationJobFiltersOrBuilder`

    - #### getEpcFiltersCount

          public int getEpcFiltersCount()

      Specified by:
        `getEpcFiltersCount` in interface `StpApi.SerializationJobFiltersOrBuilder`

    - #### getEpcFilters

          public StpApi.Filter getEpcFilters(int index)

      Specified by:
        `getEpcFilters` in interface `StpApi.SerializationJobFiltersOrBuilder`

    - #### setEpcFilters

          public StpApi.SerializationJobFilters.Builder setEpcFilters(int index,
                                                                      StpApi.Filter value)

    - #### setEpcFilters

          public StpApi.SerializationJobFilters.Builder setEpcFilters(int index,
                                                                      StpApi.Filter.Builder builderForValue)

    - #### addEpcFilters

          public StpApi.SerializationJobFilters.Builder addEpcFilters(StpApi.Filter value)

    - #### addEpcFilters

          public StpApi.SerializationJobFilters.Builder addEpcFilters(int index,
                                                                      StpApi.Filter value)

    - #### addEpcFilters

          public StpApi.SerializationJobFilters.Builder addEpcFilters(StpApi.Filter.Builder builderForValue)

    - #### addEpcFilters

          public StpApi.SerializationJobFilters.Builder addEpcFilters(int index,
                                                                      StpApi.Filter.Builder builderForValue)

    - #### addAllEpcFilters

          public StpApi.SerializationJobFilters.Builder addAllEpcFilters(java.lang.Iterable<? extends StpApi.Filter> values)

    - #### clearEpcFilters

          public StpApi.SerializationJobFilters.Builder clearEpcFilters()

    - #### removeEpcFilters

          public StpApi.SerializationJobFilters.Builder removeEpcFilters(int index)

    - #### getEpcFiltersBuilder

          public StpApi.Filter.Builder getEpcFiltersBuilder(int index)

    - #### getEpcFiltersOrBuilder

          public StpApi.FilterOrBuilder getEpcFiltersOrBuilder(int index)

      Specified by:
        `getEpcFiltersOrBuilder` in interface `StpApi.SerializationJobFiltersOrBuilder`

    - #### getEpcFiltersOrBuilderList

          public java.util.List<? extends StpApi.FilterOrBuilder> getEpcFiltersOrBuilderList()

      Specified by:
        `getEpcFiltersOrBuilderList` in interface `StpApi.SerializationJobFiltersOrBuilder`

    - #### addEpcFiltersBuilder

          public StpApi.Filter.Builder addEpcFiltersBuilder()

    - #### addEpcFiltersBuilder

          public StpApi.Filter.Builder addEpcFiltersBuilder(int index)

    - #### getEpcFiltersBuilderList

          public java.util.List<StpApi.Filter.Builder> getEpcFiltersBuilderList()